using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x26BB, 0x26C5 )]
	public class Whip : BaseBashing
	{
		public override int UOStrengthReq{ get{ return 10; } }
		public override int UOMinDamage{ get{ return 8; } }
		public override int UOMaxDamage{ get{ return 24; } }
		public override int UOSpeed{ get{ return 40; } }

		public override int InitMinHits{ get{ return 31; } }
		public override int InitMaxHits{ get{ return 40; } }

		public override int DefHitSound{ get{ return 0x5D0; } }
		public override int DefMissSound{ get{ return 0x5D1; } }

		[Constructable]
		public Whip() : base( 0x26BB )
		{
			Weight = 6.0;
			Name = "whip";
			Resource = CraftResource.Leathered;
			Hue = 0x4A8;
		}

		public Whip( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}